Subject: Re: bug#46463: 27.1; rmailout glitch

From: Francesco Potortì <[email-masked]>
Date: Sat, 13 Feb 2021 11:21:36 +0100

>> From: Francesco Potortì <[email-masked]>
>> Date: Fri, 12 Feb 2021 16:10:04 +0100
>> 
>> Using the latest versions from trunk as of 11 February:
>> 
>> rmailsum
>> rmailout
>> rmailmm
>> rmail
>> rmailedit
>> 
>> - run rmail on a mail file with N messages (N>1)
>> - delete message N
>> - go to message N-1 and press 'o' to output it to a different mail
>>   file: a message says that no undeleted messages exist and you still
>>   see message N-1 (which is correct)
>> - (setq rmail-output-reset-deleted-flag t
>>   	rmail-delete-after-output t)
>> - undelete message N-1
>> - press 'o': no message is displayed and you see (deleted) message N
>
>I cannot reproduce this.  Is this in "emacs -Q"?  If so, could you
>please show a complete recipe, starting from "emacs -Q", and
>preferably excluding any parts that are not needed for showing the
>issue?

Yes, I used a clean environment.  Today or tomorrow I should be able to
be more detailed.

>Also, the Subject says "27.1"; if this problem exists in Emacs 27.1 as
>well, please tell, as that could change the priority of handling the
>issue, given that Emacs 27.2 is in the last stages of pretesting.

I am running emacs 27.1 but with the above 5 rmail libraries downloaded
from trunk, which include various bug corrections.